[Unit]
Description=Open Autoware AD Kit Map Service
Wants=network-online.target
After=network-online.target
RequiresMountsFor=%t/containers

[Service]
TimeoutStopSec=70
Restart=always
ExecStart=/usr/bin/podman play kube --replace --service-container=true /etc/adkit/podman/adkit-map.yaml
ExecStop=/usr/bin/podman play kube --down /etc/adkit/podman/adkit-map.yaml
Type=notify
NotifyAccess=all

[Install]
WantedBy=default.target
